Vulnerabilidades en switch industrial Nexus 9000 de Cisco; actualice ahora

Especialistas en ciberseguridad reportan que el switch Nexus 9000, de Cisco, presenta una vulnerabilidad crítica que, de ser explotada, permitiría a un atacante conectarse de forma remota a un dispositivo comprometido empleando Secure Shell (SSH) y controlarlo con privilegios de usuario root. La compañía reveló la existencia de esta vulnerabilidad en días recientes, otorgándole un puntaje de 9/10.

La vulnerabilidad reside en la administración de claves SSH del switch Nexus 9000 Series; la compañía colocó por error un par de claves SSH predeterminadas en estos dispositivos que cualquier atacante con las habilidades necesarias podría tomar para conectarse al dispositivo a través de IPv6. La vulnerabilidad fue descubierta por investigadores independientes que posteriormente presentaron el informe a los equipos de seguridad de Cisco.   

Los especialistas en ciberseguridad afirman que la vulnerabilidad podría ser explotada abriendo una conexión SSH a través de IPv6 hacia un dispositivo comprometido empleando las claves extraídas, con lo que el atacante podría obtener privilegios de usuario root. Debido a que hasta el momento no se conocen soluciones alternativas, Cisco recomienda encarecidamente a los usuarios actualizar sus sistemas.

La compañía también lanzó parches de actualización para otras fallas en el software del switch Nexus 9000; todas las vulnerabilidades corregidas en esta actualización afectan a los sistemas que ejecutan versiones del software Cisco NX-OS anteriores a la versión 14.1.

Cisco también recibió el reporte de una vulnerabilidad de escalada de directorios de severidad media que, de ser explotada, podría permitir a un atacante local con acceso a credenciales de inicio de sesión válidas sobrescribir archivos del sistema.

Finalmente, fue corregida una vulnerabilidad en el software NX-OS 14.1 que podría permitir a los actores de amenazas con credenciales de administrador ejecutar comandos NX-OS arbitrarios como usuario root, reportan especialistas en ciberseguridad del Instituto Internacional de Seguridad Cibernética (IICS).

Los expertos también descubrieron que el software de Cisco tampoco validaba correctamente los certificados TLS del cliente enviados entre los componentes de una estructura del switch Nexus 9000.

(Visited 190,1 times)